
/****************************************************************
========Oooo=========================================Oooo========
=     Copyright ©2015-2018 Gowin Semiconductor Corporation.     =
=                     All rights reserved.                      =
========Oooo=========================================Oooo========

<File Title>: IP file
<gwModGen version>: 1.9.3Beta
<Series, Device, Package, Speed>: GW1N, GW1N-9, LQFP144
<Created Time>: Tue Mar 24 13:55:48 2019
****************************************************************/

module GW_PLL (clkout, clkin);

output clkout;
input clkin;

wire lock_o;
wire clkoutp_o;
wire clkoutd_o;
wire clkoutd3_o;
wire gw_gnd;

assign gw_gnd = 1'b0;
assign gw_gnd = 1'b0;

rPLL pll_inst 
(
     .CLKOUT   (clkout                                     )
    ,.LOCK     (lock_o                                     )
    ,.CLKOUTP  (clkoutp_o                                  )
    ,.CLKOUTD  (clkoutd_o                                  )
    ,.CLKOUTD3 (clkoutd3_o                                 )
    ,.RESET    (gw_gnd                                     )
    ,.RESET_P  (gw_gnd                                     )
    ,.CLKIN    (clkin                                      )
    ,.CLKFB    (gw_gnd                                     )
    ,.FBDSEL   ({gw_gnd,gw_gnd,gw_gnd,gw_gnd,gw_gnd,gw_gnd})
    ,.IDSEL    ({gw_gnd,gw_gnd,gw_gnd,gw_gnd,gw_gnd,gw_gnd})
    ,.ODSEL    ({gw_gnd,gw_gnd,gw_gnd,gw_gnd,gw_gnd,gw_gnd})
    ,.PSDA     ({gw_gnd,gw_gnd,gw_gnd,gw_gnd}              )
    ,.DUTYDA   ({gw_gnd,gw_gnd,gw_gnd,gw_gnd}              )
    ,.FDLY     ({gw_gnd,gw_gnd,gw_gnd,gw_gnd}              )
);
defparam pll_inst.FCLKIN = "64";
defparam pll_inst.DYN_IDIV_SEL = "false";
defparam pll_inst.IDIV_SEL = 15;
defparam pll_inst.DYN_FBDIV_SEL = "false";
defparam pll_inst.FBDIV_SEL = 0;
defparam pll_inst.ODIV_SEL = 128;
defparam pll_inst.PSDA_SEL = "0000";
defparam pll_inst.DYN_DA_EN = "false";
defparam pll_inst.DUTYDA_SEL = "1000";
defparam pll_inst.CLKOUT_FT_DIR = 1'b1;
defparam pll_inst.CLKOUTP_FT_DIR = 1'b1;
defparam pll_inst.CLKOUT_DLY_STEP = 0;
defparam pll_inst.CLKOUTP_DLY_STEP = 0;
defparam pll_inst.CLKFB_SEL ="internal";
defparam pll_inst.CLKOUT_BYPASS = "false";
defparam pll_inst.CLKOUTP_BYPASS = "false";
defparam pll_inst.CLKOUTD_BYPASS = "false";
defparam pll_inst.DYN_SDIV_SEL = 2;
defparam pll_inst.CLKOUTD_SRC = "CLKOUT";
defparam pll_inst.CLKOUTD3_SRC = "CLKOUT";
defparam pll_inst.DEVICE = "GW1N-9";
endmodule //GW_PLL
