## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -novopt -incr -work work "../../tb/MIPI_tb.v"
vlog -novopt -incr -work work "../../MIPI_RefDesign/src/DPHY_TOP.v"
vlog -novopt -incr -work work "../../MIPI_RefDesign/src/gw_pll.v"
vlog -novopt -incr -work work "../../MIPI_RefDesign/src/ROM549X17.v"
vlog -novopt -incr -work work "../../MIPI_RefDesign/src/mipi_tx_advance/mipi_tx_advance.vo"
vlog -novopt -incr -work work "../../MIPI_RefDesign/src/mipi_rx_advance/mipi_rx_advance.vo"
vlog -novopt -incr -work work "./prim_sim.v"

## part 3: sim design
vsim -novopt work.MIPI_tb


log -r /*
## part 4: add signals
add wave *


## part 5: show ui 
view wave
view structure
view signals

#do wave.do
## part 6: run 
run -all
